/* tslint:disable */
/* eslint-disable */
/**
* Used for displaying syntax-highlighted code in a virtual list.
* Each line of code needs is converted to a self-contained DOM subtree
* which marks up various pieces of code with <span> tags and class names.
* Formatting needs to be supplied by the user; the HTML code does not contain
* any inline styles.
* Parsing state is correctly carried across multiple lines. For example, if
* you have a multi-line comment from line 1 to line 3, the HTML returned
* for line 2 will contain the right annotations for a comment.
* Performance is best if lines are requested in the right order. This avoids
* backtracking and repeated parsing.
* Parsing happens on demand, up to the requested line.
*/
export class SyntaxParsedFile {
  free(): void;
/**
* Create a new SyntaxParsedFile.
* @param {string} fileExtension
* @param {string} source
* @param {any} options
*/
  constructor(fileExtension: string, source: string, options: any);
/**
* Returns raw HTML code for the requested line. The code is the source text
* of this line interspersed with <span> tags to set class names.
* The DOM subtree is self-contained.
* `lineIndex` is zero-based.
* @param {number} lineIndex
* @returns {string | undefined}
*/
  htmlForLine(lineIndex: number): string | undefined;
}
